Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Class LocalDirInstaller

    java.lang.Object
      |
      +--org.jboss.deployment.LocalDirInstaller

All Implemented Interfaces:
  Installer

public class LocalDirInstaller
extends java.lang.Object
implements Installer

An implementation of Installer that only works with unpackaged J2EE modules as local directories. There is no copying of package contents.

Author:
  Scott.Stark@jboss.org

Fields inherited from interface org.jboss.deployment.Installer
`files`

Constructor Summary
`LocalDirInstaller()` Creates a new instance of ModuleInstaller

Method Summary
`Deployment` | `execute(InstallerFactory factory, java.net.URL src)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalDirInstaller

    public LocalDirInstaller()

  Creates a new instance of ModuleInstaller

Method Detail

### execute

    public Deployment execute(InstallerFactory factory,
                              java.net.URL src)
                       throws J2eeDeploymentException,
                              java.io.IOException

  Specified by:
    `execute` in interface `Installer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.